namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] brojevi = new int[n];
            string[] unos = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                brojevi[i] = int.Parse(unos[i]);
            }
            for(int i = 0; i < n; i++)
            {
                List<int> proizvodi = new List<int>();
                for(int j = 1; j <= brojevi[i]; j++)
                {
                    int broj = j;
                    int proizvod = 1;
                    while (broj != 0)
                    {
                        proizvod *= broj % 10;
                        broj /= 10; 
                    }
                    if (!proizvodi.Contains(proizvod)) proizvodi.Add(proizvod);
                }
                Console.WriteLine(proizvodi.Count);
            }
        }
    }
}